# Interface methods for submodule: SpatialObjectWriter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: SpatialObjectWriter
class SpatialObjectWriterProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Update(self) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg) -> None:
		""""""
		...

	@overload
	def SetFileName(self, _arg: str) -> None:
		""""""
		...

	def GetFileName(self):
		""""""
		...

	def SetInput(self, input) -> None:
		""""""
		...

	def SetBinaryPoints(self, _arg: bool) -> None:
		""""""
		...

	def GetBinaryPoints(self) -> bool:
		""""""
		...

	def BinaryPointsOn(self) -> None:
		""""""
		...

	def BinaryPointsOff(self) -> None:
		""""""
		...

	def SetTransformPrecision(self, precision: int) -> None:
		""""""
		...

	def GetTransformPrecision(self) -> int:
		""""""
		...

	def SetWriteImagesInSeparateFile(self, _arg: bool) -> None:
		""""""
		...

	def GetWriteImagesInSeparateFile(self) -> bool:
		""""""
		...

	def WriteImagesInSeparateFileOn(self) -> None:
		""""""
		...

	def WriteImagesInSeparateFileOff(self) -> None:
		""""""
		...

	def RegisterMetaConverter(self, metaTypeName, spatialObjectTypeName, converter) -> None:
		""""""
		...

